android: support NDK 19 and above (20 as of this commit)

Desktop / LibreOffice - Christian Lohmaier [googlemail.com] - 8 August 2019 13:59 EDT

support for targeting API 14 and 15 was removed in NDK 18, so set minimum version to 16 mips support was removed in NDK 17

Clang now takes care about correct linking with libc++ shared or static, so don't manually specify them anymore. Same with __ANDROID_API_LEVEL__ define and the sysroot / isystem handling, that is all covered by a single -target simplifying things quite a bit.

also align ownloud sdk values with main build.gradle

Change-Id: Ib3ae4484e52214677e826270b731ecf7c5c15445 Reviewed-on: https://gerrit.libreoffice.org/77104

a7f633887593 android: support NDK 19 and above (20 as of this commit)
android/Bootstrap/Makefile.shared | 2 +-
android/source/build.gradle | 6 ++-
bridges/Library_cpp_uno.mk | 4 +-
configure.ac | 78 ++++++++++------------------
external/nss/ExternalProject_nss.mk | 2 +-
external/owncloud-android-lib/build.gradle | 16 ++++--
solenv/gbuild/platform/ANDROID_GODSON_GCC.mk | 17 ------
solenv/gbuild/platform/android.mk | 9 +---
8 files changed, 48 insertions(+), 86 deletions(-)

Upstream: cgit.freedesktop.org


  • Share